Create Archival Backups

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/zdlra/{raTargetId}/protectedDatabases/{protectedDatabaseUniqueName}/archivalBackups

Create archival backups for a protected database on a Recovery Appliance.

Request

Path Parameters
Header Parameters
  • Recovery Appliance Administrator Credentials. The format must be NAMED: (e.g. NAMED:ORSADMIN) or PREFERRED: (e.g. PREFERRED:PREF_ORSADMIN). If no value is specified, the system will use preferred credentials.
    Example:
    NAMED:ORSADMIN
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Request details for creating archival backups for a single protected database.
Match One Schema
Show Source
Nested Schema : CreateArchivalBackupsSingleDatabaseRecurring
Recurring request for creating archival backups for a single protected database.
Match All
Recurring request for creating archival backups for a single protected database.
Recurring request for creating archival backups for a single protected database.
Show Source
Nested Schema : CreateArchivalBackupsSingleDatabaseOnetime
Type: object
Recurring request for creating archival backups for a single protected database.
Show Source
Nested Schema : CreateArchivalBackupsSingleDatabaseRecurringDetails
Type: object
Recurring request details for creating archival backups for a single protected database.
Show Source
Nested Schema : ScheduleArchivalBackups
Type: object
Schedule for recurring archival backups creation. If the schedule option is not provided, the archival backup creation is considered one-time.
Show Source
Nested Schema : archivalBackups
Type: array
Details of archival backups to be created for a single protected database.
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : RecurringArchivalBkupDetails
Create archival backup using restore time
Match All
Create archival backup using restore time
Show Source
Nested Schema : CreateArchivalBackupBasicDetails
Type: object
Basic request details for create archival backups API
Show Source
Nested Schema : RestoreUsingTime
Type: object
Restore using time option for create archival backups
Show Source
Nested Schema : RecurringArchivalBkupRecoveryNamePrefix
Type: object
Create archival backup using restore from time.
Show Source
  • Recovery point name prefix to be used to name the recovery point. The prefix followed by the timestamp value will be used.
    Example: QuarterlyBackup
Nested Schema : ScheduleRAOperations
Type: object
Schedule for deployment procedure or job.
Show Source
  • Comma-separated list of days. (Required only if frequency is monthly, or yearly. Example, repeat=1d. The valid range is 1 to 30 inclusive)
  • Comma-separated list of days. (Required only if frequency is weekly. Example, repeat=1D. The valid range is 1 to 7 inclusive)
  • End time for the procedure executions (optional). If it is not specified, the procedure runs indefinitely. W3C Time format.
    Example: 2025-12-31T20:00:00UTC, 2025-12-31T20:00:00America/New_York, 2025-12-31T20:00:00Z, 2025-12-31T20:00:00+05:00
  • Allowed Values: [ "INTERVAL", "WEEKLY", "MONTHLY", "YEARLY" ]
    Schedule Frequency Options
  • grace period in minutes (optional)
  • Comma-separated list of months. (Required only if frequency is yearly). Valid range is 1 to 12 inclusive.
  • Frequency with which the job must be repeated.(Required only if frequency is set to interval.)
  • Time when the procedure is to start executing. W3C Time format.
    Example: 2024-12-31T20:00:00UTC, 2024-12-31T20:00:00America/New_York, 2024-12-31T20:00:00Z, 2024-12-31T20:00:00+05:00
Nested Schema : archivalBackups
Type: array
Details of archival backups to be created for a single protected database.
Show Source
Nested Schema : Discriminator: restoreUsing
Type: object
Match All
Show Source
Match One Schema
Show Source
Nested Schema : RestoreUsingAll
Type: object
Restore using options for create archival backups
Show Source
Nested Schema : OneTimeArchivalBkupRestoreOptions
Onetime specific details for create archival backups API
Match One Schema
Show Source
Nested Schema : OneTimeArchivalBkupUsingRestoreTime
Create archival backup using restore time
Match All
Create archival backup using restore time
Create archival backup using restore time
Show Source
Nested Schema : OneTimeArchivalBkupUsingRestorePoint
Type: object
Create archival backup using restore point name.
Show Source
Nested Schema : OneTimeArchivalBkupUsingScn
Create archival backup using SCN.
Match All
Create archival backup using SCN.
Create archival backup using SCN.
Show Source
Nested Schema : CreateArchivalBkupUsingRestoreTime
Type: object
Create archival backup using restore from time.
Show Source
  • Restore from time to be used for creating archival backups. Format is YYYY-MM-DDTHH:mm:ssZ in UTC timezone. If restoreUsing is RESTORE_TIME but restoreUntilTime is not specified or null/empty, then the archival backup will be created using the latest backup available on the RA.
    Example: 2022-09-21T06:00:00.000Z
Nested Schema : ArchivalRestorePointName
Type: object
Archival Restore Point name - applicable only for one time archival backups
Show Source
  • Restore point name to be used for naming the archival backup. If not specified, archival backups will be given a default name KEEP_BACKUP_timestamp.
Nested Schema : CreateArchivalBkupUsingScn
Type: object
Database SCN.
Show Source
Examples

Back to Top

Response

Supported Media Types

202 Response

Accepted
Headers
Body ()
Root Schema : ArchivalBackupsDpSubmissionDetails
Type: object
Archival backups deployment procedure submission details
Show Source

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

409 Response

Duplicate Resource
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top